Package com.documentum.fc.client

# Interface IDfScopeManager

public interface IDfScopeManager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfScope`
  `beginScope(boolean bNested)`
  Opens an explicit scope boundary.
  `void`
  `clearDefaultScope(com.documentum.fc.client.ScopeBoundary boundary)`
  Removes one default scoping policy.
  `void`
  `clearScopes()`
  Pops all the scopes from the scope stack.
  `void`
  `enableServerScope(boolean enable)`
  Enables or disables server-side scoping.
  `void`
  `endScope()`
  Closes the explicit scope boundary.
  `IDfScope`
  `getCurrentScope()`
  Returns the currect active scope from the top of scope stack.
  `IDfScope`
  `getDefaultScope(com.documentum.fc.client.ScopeBoundary boundary)`
  Returns the default scope template for the specific boundary.
  `int`
  `getScopeCount()`
  Returns the number of scopes currently on the scope stack.
  `boolean`
  `isScopeActive()`
  Returns true if one or more CUSTOM scopes are open.
  `boolean`
  `isServerScopingEnabled()`
  Returns true if server-side scoping is enabled, otherwise false.
  `void`
  `setDefaultScope(com.documentum.fc.client.ScopeBoundary boundary, boolean bNested)`
  Set the default scoping policy for a given boundary.

- ## Method Details

  - ### setDefaultScope

    void setDefaultScope(com.documentum.fc.client.ScopeBoundary boundary, boolean bNested) throws DfException
    Set the default scoping policy for a given boundary. The user can set up the default scope for all three boundaries: OPERATION, TRANSACTION, and BATCH. The scope manager applies the default scoping policy when control goes into the specific boundary. All boundaries can be nested together.
    OPERATION — The operation begins when it is executed; it ends when the execution is over.

    TRANSACTION — The scope boundary is consistent with the transaction scope. That is, the boundary starts when the transaction, internal or external, is opened and stops when the transaction is closed.
    BATCH — The scope boundary is consistent with the new batch-processing mode. That is, the boundary starts when the batch-processing mode is turned on, and stops when the mode is off.

    The default scope for a specified boundary cannot be modified when there are already corresponding scopes on the stack: an exception is thrown.
    Parameters:
      `boundary` - of a default scope policy
      `bNested` - value to be used when opening the corresponding scope
    Throws:
      `DfException` - thrown when a scope for the given boundary is open

  - ### clearDefaultScope

    void clearDefaultScope(com.documentum.fc.client.ScopeBoundary boundary) throws DfException
    Removes one default scoping policy. This method has no effect if the given boundary has no policy.
    Parameters:
      `boundary` - of a default scoping policy
    Throws:
      `DfException`

  - ### beginScope

    IDfScope beginScope(boolean bNested) throws DfException
    Opens an explicit scope boundary. The explicit scope needs to be explicitly closed by an endScope call

    In the event server scoping has been activated and the scope’s bNested==true, the current scope will be pushed to the server.
    Parameters:
      `bNested` - If server scoping is activated and bNested is true, then the current scope will be pushed to the server.
    Returns:
      The explicit scope boundary opened by this call.
    Throws:
      `DfException`

  - ### endScope

    void endScope() throws DfException
    Closes the explicit scope boundary.
    Throws:
      `DfException` - thrown if no matching beginScope exists

  - ### getDefaultScope

    IDfScope getDefaultScope(com.documentum.fc.client.ScopeBoundary boundary)
    Returns the default scope template for the specific boundary.
    Parameters:
      `boundary` - for a default scope template
    Returns:
      the default scope template for the given boundary

  - ### getCurrentScope

    IDfScope getCurrentScope()
    Returns the currect active scope from the top of scope stack.
    Returns:
      the current active scope

  - ### clearScopes

    void clearScopes() throws DfException
    Pops all the scopes from the scope stack.
    Throws:
      `DfException` - if an error occurs

  - ### enableServerScope

    void enableServerScope(boolean enable)
    Enables or disables server-side scoping. This value determines whether server- side scope is enabled as new sessions are created through the session manager.
    Parameters:
      `enable` - is true or false to enable or disable server side scoping

  - ### isServerScopingEnabled

    boolean isServerScopingEnabled()
    Returns true if server-side scoping is enabled, otherwise false.
    Returns:
      true or false to indicate whether server side scoping is enabled

  - ### getScopeCount

    int getScopeCount()
    Returns the number of scopes currently on the scope stack.
    Returns:
      the number of currently open scopes.

  - ### isScopeActive

    boolean isScopeActive()
    Returns true if one or more CUSTOM scopes are open.
    Returns:
      true if at least one CUSTOM scope has been opened with beginScope.